# Get full skill content (SKILL.md + files).

Source: <https://everruns.com/docs/api/operations/get_skill_content/>

GET

/v1/skills/{id}/content

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/skills/example/content';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/skills/example/content
```

* Production APIapp.everruns.com/api/v1/skills/{id}/content

## Parameters

### Path Parameters

**id**

required

string

Prefixed public identifier

## Responses

### 200

Success

Media typeapplication/json

Skill content response (for /content endpoint)

object

**files**

required

Array\<object>

A file entry in a skill archive

object

**content**

required

string

**path**

required

string

**skill\_md**

required

string

##### Examplegenerated

```json
{
  "files": [
    {
      "content": "example",
      "path": "example"
    }
  ],
  "skill_md": "example"
}
```

### 404

Skill not found